<?php

class ChatweeV1_Session
{
    public static function getSessionId() {
    	return isSet($_COOKIE["chch-SI"]) ? $_COOKIE["chch-SI"] : null;
    }

    public static function setSessionId($sessionId) {
		$hostChunks = explode(".", $_SERVER["HTTP_HOST"]);

		$hostChunks = array_slice($hostChunks, -2);

		$cookieDomain = "." . implode(".", $hostChunks);

		setcookie("chch-SI", $sessionId, time() + 2592000, "/", $cookieDomain);
    }

    public static function clearSessionId() {
		$hostChunks = explode(".", $_SERVER["HTTP_HOST"]);

		$hostChunks = array_slice($hostChunks, -2);

		$domain = "." . implode(".", $hostChunks);

		setcookie("chch-SI", "", time() - 1, "/", $domain);

		setcookie("chch-PSI", "", time() - 1, "/", $domain);
    }

	public static function getPreviousSessionId() {
		return isSet($_COOKIE["chch-PSI"]) ? $_COOKIE["chch-PSI"] : null;
	}
}
